<?php
namespace Bushelpowered\Api\Common;
        
interface HasSourceTimestamps
{
        /**
         * @return string Created date-time from data source. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getsourceCreatedAt(): string;
        /**
         * @return string Updated date-time from data source. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getsourceUpdatedAt(): string;
        /**
         * @return null|string Deleted date-time from data source. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getsourceDeletedAt(): ?string;
}