<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class GetAllCommoditySubgroupsRequest 
{
    /** @var string[]|null $commoditySubgroupIds */
    public ?array $commoditySubgroupIds = null;
    /** @var string[]|null $commodityGroupIds */
    public ?array $commodityGroupIds = null;
    /** @var string[]|null $commodityClassIds */
    public ?array $commodityClassIds = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;

    /**
     * @param  string[]|null  $commoditySubgroupIds 
     * @param  string[]|null  $commodityGroupIds 
     * @param  string[]|null  $commodityClassIds 
     * @param  string[]|null  $tenantIds 
     */
    public function __construct(?array $commoditySubgroupIds, ?array $commodityGroupIds, ?array $commodityClassIds, ?array $tenantIds)
    {
        $this->commoditySubgroupIds = $commoditySubgroupIds;
        $this->commodityGroupIds = $commodityGroupIds;
        $this->commodityClassIds = $commodityClassIds;
        $this->tenantIds = $tenantIds;
    }
    

}