<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class Owner 
{
    /** @var string $userId The bushel user id of the owner.*/
    public string $userId;
    /** @var string $email The email of the owner.*/
    public string $email;
    /** @var null|string $name The name of the owner.*/
    public ?string $name = null;

    /**
     * @param  string  $userId The bushel user id of the owner.
     * @param  string  $email The email of the owner.
     * @param  null|string  $name The name of the owner.
     */
    public function __construct(string $userId, string $email, ?string $name)
    {
        $this->userId = $userId;
        $this->email = $email;
        $this->name = $name;
    }
    

}