<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class WeekDetails 
{
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $sunday */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $sunday;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $monday */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $monday;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $tuesday */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $tuesday;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $wednesday */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $wednesday;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $thursday */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $thursday;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $friday */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $friday;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $saturday */
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $saturday;
    /** @var null|string $weekNote The note for the week.*/
    public ?string $weekNote = null;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails  $sunday 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails  $monday 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails  $tuesday 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails  $wednesday 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails  $thursday 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails  $friday 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails  $saturday 
     * @param  null|string  $weekNote The note for the week.
     */
    public function __construct(\Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $sunday, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $monday, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $tuesday, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $wednesday, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $thursday, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $friday, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\DayDetails $saturday, ?string $weekNote)
    {
        $this->sunday = $sunday;
        $this->monday = $monday;
        $this->tuesday = $tuesday;
        $this->wednesday = $wednesday;
        $this->thursday = $thursday;
        $this->friday = $friday;
        $this->saturday = $saturday;
        $this->weekNote = $weekNote;
    }
    

}