<?php
namespace Bushelpowered\Api\Aggregator\Location\V1\Request;
        
interface HasLocationType
{
        /**
         * @return string 
         */
    public function getdatasourceId(): string;
        /**
         * @return string 
         */
    public function getintegrationId(): string;
        /**
         * @return string 
         */
    public function getsourceId(): string;
        /**
         * @return null|string 
         */
    public function getsourceName(): ?string;
        /**
         * @return null|string 
         */
    public function getinternalName(): ?string;
        /**
         * @return null|string 
         */
    public function getpublicName(): ?string;
        /**
         * @return null|string 
         */
    public function getphysicalAddressLine1(): ?string;
        /**
         * @return null|string 
         */
    public function getphysicalAddressLine2(): ?string;
        /**
         * @return null|string 
         */
    public function getphysicalLocality(): ?string;
        /**
         * @return null|string 
         */
    public function getphysicalAdministrativeArea(): ?string;
        /**
         * @return null|string 
         */
    public function getphysicalPostalCode(): ?string;
        /**
         * @return null|string 
         */
    public function getphysicalCountryCode(): ?string;
        /**
         * @return null|float 
         */
    public function getlatitude(): ?float;
        /**
         * @return null|float 
         */
    public function getlongitude(): ?float;
        /**
         * @return string[]|null 
         */
    public function getbusinessType(): ?array;
        /**
         * @return null|string 
         */
    public function getbusinessPhone(): ?string;
        /**
         * @return null|string 
         */
    public function getbusinessFax(): ?string;
        /**
         * @return null|string 
         */
    public function getbusinessEmail(): ?string;
        /**
         * @return null|string 
         */
    public function getbusinessWebsite(): ?string;
        /**
         * @return int 
         */
    public function getcompanyId(): int;
        /**
         * @return null|bool 
         */
    public function gethidden(): ?bool;
        /**
         * @return null|string  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getcashBidsHiddenAt(): ?string;
        /**
         * @return null|string  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getpushNotificationsHiddenAt(): ?string;
        /**
         * @return null|string 
         */
    public function getrevision(): ?string;
}