<?php
namespace Bushelpowered\Api\Common\Event;
        
interface SyncWrapper
{
        /**
         * @return \Bushelpowered\Api\Common\Event\Syncable[] A wrapper for nested entities. Implementations should use the mixin, and be a nullable property. Values are intended to be treated in the following manner:<br>  1. A null value is ignored by the ingesting service.<br>  2. A populated list persists the EXACT state of the entities.<br>An empty list deletes anything previously persisted!
         */
    public function getdata(): array;
}