<?php
namespace Bushelpowered\Api\Common;
        
interface HasCreatedAtFilter
{
        /**
         * @return null|string Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getcreatedAtEqualOrAfter(): ?string;
        /**
         * @return null|string Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getcreatedAtBefore(): ?string;
}