<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Response;
        
class CreateRelationshipsResponse implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasResultWindow
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow */
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken  $resultWindow 
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow)
    {
        $this->resultWindow = $resultWindow;
    }
    
    /**
     * @return \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken 
     */
    public function getResultWindow(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}