<?php
namespace Bushelpowered\Api\Payments\V1\Model;
        
class PaymentsFilter 
{
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin[]|null $origin */
    public ?array $origin = null;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\PaymentType[]|null $paymentType */
    public ?array $paymentType = null;
    /** @var null|\Bushelpowered\Api\Common\Model\AmountFilter $amount */
    public ?\Bushelpowered\Api\Common\Model\AmountFilter $amount = null;
    /** @var null|\Bushelpowered\Api\Common\Model\DateFilter $date */
    public ?\Bushelpowered\Api\Common\Model\DateFilter $date = null;
    /** @var null|\Bushelpowered\Api\Payments\V1\Enums\PaymentEntry $entry */
    public ?\Bushelpowered\Api\Payments\V1\Enums\PaymentEntry $entry = null;
    /** @var null|\Bushelpowered\Api\Payments\V1\Enums\PaymentTiming $paymentTiming */
    public ?\Bushelpowered\Api\Payments\V1\Enums\PaymentTiming $paymentTiming = null;

    /**
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentOrigin[]|null  $origin 
     * @param  \Bushelpowered\Api\Payments\V1\Enums\PaymentType[]|null  $paymentType 
     * @param  null|\Bushelpowered\Api\Common\Model\AmountFilter  $amount 
     * @param  null|\Bushelpowered\Api\Common\Model\DateFilter  $date 
     * @param  null|\Bushelpowered\Api\Payments\V1\Enums\PaymentEntry  $entry 
     * @param  null|\Bushelpowered\Api\Payments\V1\Enums\PaymentTiming  $paymentTiming 
     */
    public function __construct(?array $origin, ?array $paymentType, ?\Bushelpowered\Api\Common\Model\AmountFilter $amount, ?\Bushelpowered\Api\Common\Model\DateFilter $date, ?\Bushelpowered\Api\Payments\V1\Enums\PaymentEntry $entry, ?\Bushelpowered\Api\Payments\V1\Enums\PaymentTiming $paymentTiming)
    {
        $this->origin = $origin;
        $this->paymentType = $paymentType;
        $this->amount = $amount;
        $this->date = $date;
        $this->entry = $entry;
        $this->paymentTiming = $paymentTiming;
    }
    

}